# $Id: Makefile.inc,v 1.7.2.16 1999/10/25 14:44:41 bp Exp $

.if !defined(PREFIX)
.include "config.mk"
.endif

.if !defined(PREFIX)
.error You should define PREFIX variable in the config.mk file.
.endif

BINDIR?=${PREFIX}/bin
NCPSBINDIR=${PREFIX}/sbin
MANDIR=${PREFIX}/man/man

CFLAGS	+= -Wall

.if defined(NCPGDB)
CFLAGS+=	-ggdb
.endif

.include <bsd.libnames.mk>

.if !defined(LIBNCP) ||  defined(COMPLETEBUILD)
CFLAGS	+= -L../lib/ncp
CFLAGS	+= -I../include
LIBNCP	= ../lib/ncp/libncp.a
.endif

.if defined(NCPGDB)
CFLAGS+= -ggdb
.endif

deinstall:
	@(if test -f ${BINDIR}/${PROG}; then \
		echo removing ${BINDIR}/${PROG}; \
		rm -f ${BINDIR}/${PROG}; \
	fi;)
	@(if test -f ${MANDIR}1/${MAN1}.gz ; then \
		echo removing ${MANDIR}1/${MAN1}.gz; \
		rm -f ${MANDIR}1/${MAN1}.gz; \
	fi;)
	@(if test -f ${MANDIR}8/${MAN8}.gz ; then \
		echo removing ${MANDIR}8/${MAN8}.gz; \
		rm -f ${MANDIR}8/${MAN8}.gz; \
	fi;)
